Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.scheduling
Class JobSummary

    java.lang.Object
      com.jaspersoft.jasperserver.ws.scheduling.JobSummary

All Implemented Interfaces:
  java.io.Serializable

    public class JobSummary

extends java.lang.Object
implements java.io.Serializable

JobSummary.java This file was auto-generated from WSDL by the Apache Axis 1.3 Oct 05, 2005 (05:23:37 EDT) WSDL2Java emitter.

See Also:
  Serialized Form

Constructor Summary
`JobSummary()`
`JobSummary(long id, int version, java.lang.String reportUnitURI, java.lang.String username, java.lang.String label, RuntimeJobState state, java.util.Calendar previousFireTime, java.util.Calendar nextFireTime)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`long` | `getId()` Gets the id value for this JobSummary.
`java.lang.String` | `getLabel()` Gets the label value for this JobSummary.
`java.util.Calendar` | `getNextFireTime()` Gets the nextFireTime value for this JobSummary.
`java.util.Calendar` | `getPreviousFireTime()` Gets the previousFireTime value for this JobSummary.
`java.lang.String` | `getReportUnitURI()` Gets the reportUnitURI value for this JobSummary.
`RuntimeJobState` | `getState()` Gets the state value for this JobSummary.
`java.lang.String` | `getUsername()` Gets the username value for this JobSummary.
`int` | `getVersion()` Gets the version value for this JobSummary.
`int` | `hashCode()`
`void` | `setId(long id)` Sets the id value for this JobSummary.
`void` | `setLabel(java.lang.String label)` Sets the label value for this JobSummary.
`void` | `setNextFireTime(java.util.Calendar nextFireTime)` Sets the nextFireTime value for this JobSummary.
`void` | `setPreviousFireTime(java.util.Calendar previousFireTime)` Sets the previousFireTime value for this JobSummary.
`void` | `setReportUnitURI(java.lang.String reportUnitURI)` Sets the reportUnitURI value for this JobSummary.
`void` | `setState(RuntimeJobState state)` Sets the state value for this JobSummary.
`void` | `setUsername(java.lang.String username)` Sets the username value for this JobSummary.
`void` | `setVersion(int version)` Sets the version value for this JobSummary.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobSummary

    public JobSummary()

### JobSummary

    public JobSummary(long id,
                      int version,
                      java.lang.String reportUnitURI,
                      java.lang.String username,
                      java.lang.String label,
                      RuntimeJobState state,
                      java.util.Calendar previousFireTime,
                      java.util.Calendar nextFireTime)

Method Detail

### getId

    public long getId()

  Gets the id value for this JobSummary.

  Returns:
    id

### setId

    public void setId(long id)

  Sets the id value for this JobSummary.

  Parameters:
    `id` -

### getVersion

    public int getVersion()

  Gets the version value for this JobSummary.

  Returns:
    version

### setVersion

    public void setVersion(int version)

  Sets the version value for this JobSummary.

  Parameters:
    `version` -

### getReportUnitURI

    public java.lang.String getReportUnitURI()

  Gets the reportUnitURI value for this JobSummary.

  Returns:
    reportUnitURI

### setReportUnitURI

    public void setReportUnitURI(java.lang.String reportUnitURI)

  Sets the reportUnitURI value for this JobSummary.

  Parameters:
    `reportUnitURI` -

### getUsername

    public java.lang.String getUsername()

  Gets the username value for this JobSummary.

  Returns:
    username

### setUsername

    public void setUsername(java.lang.String username)

  Sets the username value for this JobSummary.

  Parameters:
    `username` -

### getLabel

    public java.lang.String getLabel()

  Gets the label value for this JobSummary.

  Returns:
    label

### setLabel

    public void setLabel(java.lang.String label)

  Sets the label value for this JobSummary.

  Parameters:
    `label` -

### getState

    public RuntimeJobState getState()

  Gets the state value for this JobSummary.

  Returns:
    state

### setState

    public void setState(RuntimeJobState state)

  Sets the state value for this JobSummary.

  Parameters:
    `state` -

### getPreviousFireTime

    public java.util.Calendar getPreviousFireTime()

  Gets the previousFireTime value for this JobSummary.

  Returns:
    previousFireTime

### setPreviousFireTime

    public void setPreviousFireTime(java.util.Calendar previousFireTime)

  Sets the previousFireTime value for this JobSummary.

  Parameters:
    `previousFireTime` -

### getNextFireTime

    public java.util.Calendar getNextFireTime()

  Gets the nextFireTime value for this JobSummary.

  Returns:
    nextFireTime

### setNextFireTime

    public void setNextFireTime(java.util.Calendar nextFireTime)

  Sets the nextFireTime value for this JobSummary.

  Parameters:
    `nextFireTime` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.